[coreboot-gerrit] New patch to review for coreboot: 9bebb85 board_status: Correctly determine selected board in case of clones

Vladimir Serbinenko (phcoder@gmail.com) gerrit at coreboot.org
Mon Aug 18 00:35:18 CEST 2014


Vladimir Serbinenko (phcoder at gmail.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/6697

-gerrit

commit 9bebb856deae64c04c5149edd0315e3a561c4c06
Author: Vladimir Serbinenko <phcoder at gmail.com>
Date:   Mon Aug 18 00:35:09 2014 +0200

    board_status: Correctly determine selected board in case of clones
    
    Change-Id: Ie90541223dffc9bc01d73b87d997bbfce475b976
    Signed-off-by: Vladimir Serbinenko <phcoder at gmail.com>
---
 util/board_status/board_status.sh | 19 +++++++++++++++----
 1 file changed, 15 insertions(+), 4 deletions(-)

diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index 49d2c73..fcc8ad1 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -222,9 +222,20 @@ fi
 test_cmd $LOCAL "$cbfstool_cmd"
 $cbfstool_cmd build/coreboot.rom extract -n config -f ${tmpdir}/config.txt
 $cbfstool_cmd build/coreboot.rom print > ${tmpdir}/cbfs.txt
-mainboard_dir="$(grep CONFIG_MAINBOARD_DIR ${tmpdir}/config.txt | awk -F '"' '{ print $2 }')"
-vendor=$(echo "$mainboard_dir" | awk -F '/' '{ print $1 }')
-mainboard=$(echo "$mainboard_dir" | awk -F '/' '{ print $2 }')
+for tentative_full_mobodir in src/mainboard/*/*; do
+    tentative_mainboard="$(basename "$tentative_full_mobodir")"
+    tentative_vendor="$(basename "$(dirname "$tentative_full_mobodir")")"
+    if grep -i CONFIG_BOARD_"$(echo "${tentative_vendor}_${tentative_mainboard}"|sed 's,-,_,g')" "${tmpdir}/config.txt" > /dev/null; then
+	vendor="$tentative_vendor"
+	mainboard="$tentative_mainboard"
+	break;
+    fi
+done
+
+if [ "$mainboard" = "" ]; then
+    echo "Couldn't determine mainboard" >&2
+    exit 1
+fi
 
 getrevision="util/board_status/getrevision.sh"
 test_cmd $LOCAL $getrevision
@@ -284,7 +295,7 @@ if [ $UPLOAD_RESULTS -eq 1 ]; then
 
 	echo "Uploading results"
 	git add "${vendor}"
-	git commit -a -m "${mainboard_dir}/${tagged_version}/${timestamp}"
+	git commit -a -m "$vendor/$mainboard/${tagged_version}/${timestamp}"
 	git push origin
 
 	# Results have been uploaded so it's pointless to keep the



More information about the coreboot-gerrit mailing list